Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Juanma Barranquero <[email-masked]>
Date: Fri, 15 Jul 2011 18:39:57 +0200

On Fri, Jul 15, 2011 at 17:24, Eli Zaretskii <[email-masked]> wrote:

>  (gdb) commands
>  >p interrupt_input_blocked
>  >bt 5
>  >continue
>  >end

Well, don't laugh too hard: I didn't know you could do that with a
watchpoint. Cool.

Still, starting from the beginning it does not work:

(gdb) run -Q -f icomplete-mode
Starting program: C:\Devel\emacs\repo\debug\src/..\bin\emacs.exe -Q -f
icomplete-mode
[New Thread 1884.0x678]
Hardware watchpoint 3: interrupt_input_blocked

Old value = 0
New value = 1
xmalloc (size=16) at alloc.c:673
673       val = (POINTER_TYPE *) malloc (size);
$1 = 1
#0  xmalloc (size=16) at alloc.c:673
#1  0x0100280a in sort_args (argc=4, argv=0x9e2d70) at emacs.c:1831

Lisp Backtrace:
Cannot access memory at address 0x730077
(gdb)

and so it does not continue. So I tried starting Emacs, interrupting
it with C-c, setting the watchpoint and continuing. I was able to
crash emacs but the watchpoint for interrupt_input_blocked was
apparently not triggered.

    Juanma